Package com.xebialabs.xlrelease.domain

# Class JdbcExportHook

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.Configuration
com.xebialabs.xlrelease.domain.ExportHook
com.xebialabs.xlrelease.domain.JdbcExportHook

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

public class JdbcExportHook extends ExportHook

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `JdbcExportHook.JdbcExportHookException`

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JdbcExportHook()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Connection`
  `getJdbcConnection()`
  Constructs and returns a connection object which can be used for accessing the database defined within current JDBC export hook.
  `String`
  `password()`
  `void`
  `password_$eq(String x$1)`
  `String`
  `url()`
  `void`
  `url_$eq(String x$1)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.ExportHook

  `isEnabled, setEnabled`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.Configuration

  `getTitle, getVariableMapping, hasVariableMapping, setTitle, setVariableMapping`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getCiUid, getFolderId, hasId, isSupportedOn, setCiUid, setFolderId`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JdbcExportHook

    public JdbcExportHook()

- ## Method Details

  - ### url

    public String url()

  - ### url_$eq

    public void url_$eq(String x$1)

  - ### username

    public String username()

  - ### username_$eq

    public void username_$eq(String x$1)

  - ### password

    public String password()

  - ### password_$eq

    public void password_$eq(String x$1)

  - ### getJdbcConnection

    public Connection getJdbcConnection()
    Constructs and returns a connection object which can be used for accessing the database defined within current JDBC export hook. This method neither opens nor closes the connection.
    Returns:
      (undocumented)